/*
 * Copyright (c) ROSA Laboratory 2011
 * License: GPLv3
 *
 * Authors:
 * Alexey Yermakov <alexey.yermakov@rosalab.ru>
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 3,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef __searchwidget_h_
#define __searchwidget_h_

#include <QGraphicsLinearLayout>
#include <QGraphicsWidget>
#include <QString>
#include <QList>
#include <QObject>
#include <QAction>

//#include <Plasma/ScrollWidget>
#include "scrollwidget/scrollwidget.h"
#include <Plasma/DataEngine>
#include <Plasma/Applet>
#include <Plasma/QueryMatch>
#include <Plasma/RunnerManager>

#include "button.h"

#include "config.h"

class SearchWidget : public SWScrollWidget
{
  Q_OBJECT
    public:
  SearchWidget(QGraphicsItem *parent = 0);
  virtual ~SearchWidget();

  void registerRunnerManager(Plasma::RunnerManager *manager);
  void setAppLaunchReciever(QObject* reciever) { m_appLaunchReciever = reciever; };
  
 public slots:
  /*
  void mousePressEvent(QGraphicsSceneMouseEvent *event);
  void mouseReleaseEvent(QGraphicsSceneMouseEvent *event);

  void hoverEnterEvent(QGraphicsSceneHoverEvent *event);
  void hoverLeaveEvent(QGraphicsSceneHoverEvent *event);
  */

  void reposition(void);
  void newSearchMatches(const QList<Plasma::QueryMatch> &matches);
  void runFirstApp(void);
  
 private:
  //void retrieveApps(void);

  //QHash<QString, AppData*> m_appEntities;

  QObject *m_appLaunchReciever;

  AppButton *m_firstButton;
  
  //QList<QString> m_groupNames;

  Plasma::RunnerManager *m_runnerManager;
};

#endif // __searchwidget_h_
