/*
 * Copyright (c) ROSA Laboratory 2011
 * License: GPLv3
 *
 * Authors:
 *  Julia Mineeva <julia.mineeva@osinit.ru>
 *  Evgeniy Augin <evgeniy.augin@osinit.ru>
 *  Ivan Kulkov   <ivan.kulkov@osinit.ru>
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 3,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#include "timeframeslider.h"
#include "slider.h"
#include <klocalizedstring.h>

#include <QStringList>

TimeFrameSlider::TimeFrameSlider(QGraphicsWidget *parent)
   : QGraphicsProxyWidget(parent)
{
    QStringList list;
    //Months by default
    list  << i18n("JAN") << i18n("FEB") << i18n("MAR") << i18n("APR") << i18n("MAY")
          << i18n("JUNE") << i18n("JULY") << i18n("AUG") << i18n("SEP") << i18n("OCT")
          << i18n("NOV") << i18n("DEC");
    Slider *native = new Slider(list);
    connect(native, SIGNAL(sliderMoved(int)), this, SIGNAL(sliderMoved(int)));
    connect(native, SIGNAL(valueChanged(int)), this, SIGNAL(valueChanged(int)));

    setWidget(native);
}
TimeFrameSlider::~TimeFrameSlider()
{
}

void TimeFrameSlider::setValue(int pam)
{
    QSlider* slider = nativeWidget();
    slider->setValue(pam);
}

int TimeFrameSlider::value()
{
    QSlider* slider = nativeWidget();
    return slider->value();
}


void TimeFrameSlider::setNewSkale(QStringList list)
{
     Slider * slider = nativeWidget();
     slider->setNewSkale(list);
}

Slider * TimeFrameSlider::nativeWidget()
{
    return static_cast<Slider*>(QGraphicsProxyWidget::widget());
}
